From 253b3e297abc1de23bb287596d94c9b695a86628 Mon Sep 17 00:00:00 2001
From: Daniele Tricoli <eriol@mornie.org>
Date: Thu, 8 Oct 2015 08:40:43 -0700
Subject: Disable address check since these tests are conceived

 to run on the same machine (they check the address against
 gethostbyname(gethostname())): see #680799 and #713757 for more details.
Last-Update: 2013-07-08
Forwarded: not-needed
Patch-Name: 03_disable-address-check.patch
---
 tests/web/test_logger.py | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/tests/web/test_logger.py b/tests/web/test_logger.py
index 91a0ca7..1a8e8f1 100644
--- a/tests/web/test_logger.py
+++ b/tests/web/test_logger.py
@@ -58,6 +58,11 @@ def test_file(webapp):
     d["f"] = ""
     d["a"] = "Python-urllib/%s" % sys.version[:3]
 
+    try:
+         del d['h']
+    except KeyError:
+        pass
+
     keys = list(d.keys())
 
     for k in keys:
@@ -93,6 +98,11 @@ def test_logger(webapp):
     d["f"] = ""
     d["a"] = "Python-urllib/%s" % sys.version[:3]
 
+    try:
+         del d['h']
+    except KeyError:
+        pass
+
     keys = list(d.keys())
 
     for k in keys:
@@ -130,6 +140,11 @@ def test_filename(webapp, tmpdir):
     d["f"] = ""
     d["a"] = "Python-urllib/%s" % sys.version[:3]
 
+    try:
+         del d['h']
+    except KeyError:
+        pass
+
     keys = list(d.keys())
 
     for k in keys:
